PUT
/v1/admin/dashboards/{id}
Update Dashboard
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards/{id} \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code" \
-H "x-csrf-token: $CSRF_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"dashboard": {
"name": "Updated Dashboard Name",
"description": "Updated description",
"image_id": "b9788d2e-ca37-41e3-b440-85ae6f8cd4c7",
"widgets": [
{
"category": "analytics",
"key": "analytics/live_queues",
"sub_category": "live",
"settings": {
"position": 1
}
}
]
}
}'
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards/{id}", {
method: "PUT",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
headers: { "Content-Type": "application/json", "x-csrf-token": csrf },
body: JSON.stringify({
"dashboard": {
"name": "Updated Dashboard Name",
"description": "Updated description",
"image_id": "b9788d2e-ca37-41e3-b440-85ae6f8cd4c7",
"widgets": [
{
"category": "analytics",
"key": "analytics/live_queues",
"sub_category": "live",
"settings": {
"position": 1
}
}
]
}
}),
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
x-csrf-token
string
required
in header
id
string
required
in path
Dashboard ID
json · 200
{
"dashboard": {
"id": "1348afc3-db2e-4aaf-96ce-cda6ff269348",
"name": "Agent KPI Dashboard 13",
"description": "Dashboard for agent KPIs",
"image_id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6",
"visibility": "private",
"mutable": true,
"owner_id": "47dbbab6-1abf-4392-a42f-dbde107c2793",
"updated_at": "2025-09-22T11:48:17.989682Z",
"created_at": "2025-09-22T11:48:17.989682Z",
"widgets": [
{
"id": "widget_1",
"key": "analytics/daily_stats:total_inbound_calls",
"category": "analytics",
"sub_category": "live",
"settings": {
"type": "chart",
"position": 1,
"size": "medium"
},
"created_at": "2025-09-22T11:48:17.989682Z",
"updated_at": "2025-09-22T11:48:17.989682Z"
}
]
}
}